<?php
/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2008                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/meta');

// Installation et mise à jour
function dolispip_upgrade($nom_meta_version_base, $version_cible){

   $maj = array();

   include_spip('inc/config');
   $maj = array();
   $maj['create'] = array(
      array('ecrire_config', 'dolispip', array(
         'dolibarr_key' => '',
         'dolibarr_user' => '',
         'dolibarr_pass' => '',
         'dolibarr_url' => '',
         'statutclients_spip_dolibarr' => '6forum'
         )
      )
   );
   include_spip('base/upgrade');
   maj_plugin($nom_meta_version_base, $version_cible, $maj);
}

// Désinstallation
function dolispip_vider_tables($nom_meta_version_base){
   effacer_meta('dolispip');
   effacer_meta($nom_meta_version_base);
}
