<?php

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/dolispip');

/**
 * Get hosting information
 *
 */
function dolispip_get_infos_hosting($idHost) {
  $endpoint = 'hosts/'.$idHost;
  $res = getDolibarrApi($endpoint);
  return $res;
}

/**
 * Get hosting list
 *
 */
function dolispip_get_list_hosting() {
  $endpoint = 'hosts';
  $res = getDolibarrApi($endpoint);
  return $res;
}


/**
 * Get domain information
 *
 */
function dolispip_get_infos_domain($idDomain) {
  $endpoint = 'domains/'.$idDomain;
  $res = getDolibarrApi($endpoint);
  return $res;
}

/**
 * Get domain list
 *
 */
function dolispip_get_list_domain() {
  $endpoint = 'domains';
  $res = getDolibarrApi($endpoint);
  return $res;
}


/**
 * Get domain information
 *
 */
function dolispip_get_whois_domain($domainName) {
  include_spip('inc/dolispip');

  $endpoint = 'domains/whois/'.$domainName;
  $res = doRestCall($endpoint);
  if(isset($res['regrinfo'])) {
    return array($res);
  }
  return $res;
}
