<?php

if (!defined('_ECRIRE_INC_VERSION')) return;

function dolispip_payments_bank_facturer_reglement($flux) {
    
    $id_facture=0;
	$no_comptable='';
	$url = '';
	
	$id_transaction = $flux['args']['id_transaction'];
	$id_order = $flux['args']['avant']['id_commande'];
	$options_notif = $flux['args'];
	
	// transaction deja en cours de facturation ?
	// attendons au max 5s pour voir si la facturation se fait entre temps
	// permet de recuperer le numero de facture
	$max_wait = 5;
	while ($row = sql_fetsel("*","spip_transactions","id_transaction=".intval($id_transaction))
	  AND $row['id_facture']==-1
	  AND $max_wait--){
		sleep(1);
	}

	// transaction introuvable ou toujours verrouillee ?
	if (!$row OR $row['id_facture']==-1)
		return false;

	// deja facture
	if ($row['id_facture']){
		$url= generer_url_public('facture',"id_facture=$id_facture&hash=".md5($row['details']),false,false);
		return array($row['id_facture'],$row['no_comptable'],$url);
	}

	// verouiller la facturation de cette transaction
	sql_updateq("spip_transactions",array('id_facture'=>-1),"id_transaction=".intval($id_transaction));


	// creer la facture
	$details = recuperer_fond('modeles/transaction_details',array('id_transaction'=>$id_transaction));
	$client = recuperer_fond('modeles/client_adresse_facture',array('id_auteur'=>$row['id_auteur'],'id_transaction'=>$id_transaction));

	$set = array(
		'id_auteur' => $row['id_auteur'],
		'montant_ht' => $row['montant_ht'],
		'montant' => $row['montant'],
		'montant_regle' => $row['montant_regle'],
		'date' => date('Y-m-d H:i:s'),
		'date_paiement' => $row['date_paiement'],
		'client' => $client,
		'details' => $details,
		'parrain' => $row['parrain'],
		'tracking_id' => $row['tracking_id'],
	);

	$id_facture = dolispip_creer_invoice($id_order);
	dolispip_facturer_cde($id_order);

	if ($id_facture){
		$id_paiement = dolispip_creer_payment($id_facture,$set['montant']);

		sql_updateq("spip_transactions",array("id_facture"=>$id_facture),"id_transaction=".intval($id_transaction));

		$url= generer_url_public('facture',"id_facture=$id_facture&hash=".md5($set['details']),false,false);

		if ($options_notif
			AND is_array($options_notif)
		  AND $notifications = charger_fonction('notifications', 'inc')){
			$options_notif['url_facture'] = $url;
			$notifications("genererfacture", $id_facture, $options_notif);

		}

	}    
    
    return $flux;
}