<?php
/**
 * 
 */
if (!defined("_ECRIRE_INC_VERSION")) {
    return;
}

include_spip('inc/meta');

/**
 * [dolispip_produits_upgrade description]
 *
 * @param  [type] $nom_meta_version_base [description]
 * @param  [type] $version_cible         [description]
 * @return [type]                        [description]
 */
function dolispip_produits_upgrade($nom_meta_version_base, $version_cible)
{

    $maj = array();

    include_spip('inc/config');
    $maj = array();
    $maj['create'] = array(
      array('maj_tables', array('spip_dolipaniers', 'spip_dolipaniers_liens')),
      array('sql_alter',"TABLE spip_articles ADD COLUMN doli_catid BIGINT(21) NOT NULL DEFAULT '0'"),
      array('sql_alter',"TABLE spip_rubriques ADD COLUMN doli_catid BIGINT(21) NOT NULL DEFAULT '0'")
    );
    $maj['1.3'] = array(
    array('maj_tables', array('spip_dolipaniers', 'spip_dolipaniers_liens')),
       array('sql_alter',"TABLE spip_dolipaniers_liens ADD COLUMN product_price double(24,8) NOT NULL DEFAULT '00.00000000' after product_price_net"),
       array('sql_alter',"TABLE spip_dolipaniers_liens ADD COLUMN product_vat_rate double NOT NULL DEFAULT '0.00' after product_price")
    );
    include_spip('base/upgrade');
    maj_plugin($nom_meta_version_base, $version_cible, $maj);
}

/**
 * [dolispip_produits_vider_tables description]
 *
 * @param  [type] $nom_meta_version_base [description]
 * @return [type]                        [description]
 */
function dolispip_produits_vider_tables($nom_meta_version_base)
{
    effacer_meta('dolispip_produits');
    effacer_meta($nom_meta_version_base);
}
