<?php
/**
 * Doliproduit_to_array
 *
 * @package   Dolispip_Produit
 * @category: dolispip
 */

// Retourne les infos d'un produit Dolibarr
function inc_doliproduit_to_array($u, $ref = '') {

    // permettrait d'utiliser les différentes règles de prix (multiprix / prix par client, …)
    $useGenericUser = true;
    $socid = session_get('doli_socid');
    $useGenericUser = $socid > 0 ? false : true;
	$product = dolispip_get_infos_produit($u, $ref, $useGenericUser);
	if($product->id > 0) {
	    $resPhotos = dolispip_get_list_documents('product', $product->id);
	    if($resPhotos) {
	        $product->documents = $resPhotos;
	    }
	    
	    $product->array_options = objectToArray($product->array_options);
	    
    	return array($product);
	}
    return '';
}
