<?php
/**
 *
 */
// Sécurité
if (!defined('_ECRIRE_INC_VERSION')) {
    return;
}


/**
 * Le prix HT d'un panier : addition des prix HT des objets liés
 *
 * @param  [type] $id_panier [description]
 * @return [type]            [description]
 */
function prix_dolipanier_ht_dist($id_panier)
{
    $fonction_ht = charger_fonction('ht', 'inc/prix');
    $prix_ht = 0;

    // On va chercher tous les produits liés
    $objets = sql_allfetsel('product_price_net, quantite', 'spip_dolipaniers_liens', 'id_dolipanier = '.$id_panier);

    // Pour chaque objet on va chercher son prix HT x sa quantité
    if (is_array($objets)) {
        foreach($objets as $objet){
            $prix_ht += $objet['product_price_net'] * $objet['quantite'];
        }
    }

    return $prix_ht;
}

/**
 * Le prix TTC d'un panier : addition des prix TTC des objets liés
 *
 * @param  [type] $id_panier [description]
 * @return [type]            [description]
 */
function prix_dolipanier_dist($id_panier)
{
    $fonction_ttc = charger_fonction('prix', 'inc/');
    $prix = 0;

    // On va chercher tous les objets liés
    $objets = sql_allfetsel('product_price, quantite', 'spip_dolipaniers_liens', 'id_dolipanier = '.$id_panier);

    // Pour chaque objet on va chercher son prix TTC x sa quantité
    if (is_array($objets)) {
        foreach($objets as $objet){
            $prix += $objet['product_price'] * $objet['quantite'];
        }
    }

    return $prix;
}
