<?php

if (!defined("_ECRIRE_INC_VERSION"))
    return;

include_spip('inc/base');
include_spip('inc/session');

function action_creer_propale_dist()
{
    $id_auteur = session_get('id_auteur') > 0 ? session_get('id_auteur') : 0;
    // Si on est pas connecté on redirige vers la page de connexion
    if (!$id_auteur) {
        $redirect = generer_url_public('creercompte');
        include_spip('inc/headers');
        redirige_par_entete($redirect);
    }

    // On commence par chercher le panier du visiteur actuel s'il n'est pas donné
    include_spip('inc/dolipaniers');
    if (!$id_panier)
        $id_panier = $id_panier = paniers_id_dolipanier_encours();

    //Si aucun panier ne pas agir
    if (is_null($id_panier))
        return;

    $securiser_action = charger_fonction('securiser_action', 'inc');
    $arg = $securiser_action();

    include_spip('dolispip_propales_fonctions');
    $id_propal = dolispip_creer_propale();

    if ($id_propal > 0) {

        /* Envoi du mail */
        $email_to = $GLOBALS['meta']['email_webmaster'];
        $email_from = $GLOBALS['meta']['email_webmaster'];

        $sujet = '['.$GLOBALS['meta']['nom_site_spip'].'] Nouveau devis à partir du site';

        $message = "Un devis a été crée à partir du site internet \n";
        $message .= "Le consulter : " . lire_config('dolispip/dolibarr_url') . "/comm/propal/card.php?id=" . $id_propal;

        $envoyer_mail = charger_fonction('envoyer_mail', 'inc');
        $envoyer_mail($email_to, $sujet, $message, $email_from);

        $supprimer_panier = charger_fonction('supprimer_dolipanier_encours', 'action/');
        $supprimer_panier();

        //if (is_null(_request('redirect'))) {   
        $redirect = generer_url_public('dolipropale', 'id_doli=' . $id_propal, true);
        include_spip('inc/headers');
        redirige_par_entete($redirect);
        //	} 	
    }

    return false;
}
