<?php

// Sécurité
if (!defined('_ECRIRE_INC_VERSION')) { return;
}

function saisies_update_dolicontact() 
{
    include_spip('dolispip_tiers_fonctions.php');
    return load_saisies_dolicontact();
}

function formulaires_dolispip_update_contact_charger_dist($id)
{

    include_spip('inc/session');
    // Charge les infos du contact
    $contact_array = dolispip_get_infos_contact($id);
    $contact_old = $contact_array;

    if(is_object($contact_array)) {
        $contexte = array(
         'id' =>$contact_old->id,
         'lastname' => $contact_old->lastname,
         'firstname'=>$contact_old->firstname,
         'address' => $contact_old->address,
         'zip' => $contact_old->zip,
         'town' => $contact_old->town,
         'pays' => $contact_old->country_code,
         'phone_mobile'=>$contact_old->phone_mobile,
         'phone_perso'=>$contact_old->phone_perso,
         'fax'=>$contact_old->fax,
         'email'=> $contact_old->email,
         'saisies_contact' => saisies_update_dolicontact(),

         // 'options_'=> $contact_old->options_,
         //	'_etapes' => 2

        );
    }
    else {
        $contexte = array(
         'editable' => false,
         'message_erreur' => 'interdit !!'
        );
    }

    return $contexte;
}

function formulaires_dolispip_update_contact_verifier_dist($id)
{
    $erreurs = array();
    include_spip('base/abstract_sql');

    // on charge les saisies
    $saisies = saisies_update_dolicontact();
    // saisies_verifier retourne un tableau des erreurs s'il y en a, sinon traiter() prend le relais
    $erreurs = saisies_verifier($saisies);

    return $erreurs;
}


function formulaires_dolispip_update_contact_traiter_dist($id)
{
    include_spip('inc/config');
    include_spip('inc/utils');
    include_spip('inc/session');
    $retours = array();
    $contact = load_contact_array();

    $contact['id'] = $id;
    $contact['lastname'] = _request('lastname');
    $contact['firstname'] = _request('firstname');
    $contact['address'] = _request('address');
    $contact['zip'] = _request('zip');
    $contact['town'] = _request('town');
    $contact['country_id'] = '';
    $contact['state_id'] = '';
    $contact['state_code'] = '';
    $contact['state'] = '';
    $contact['country'] = '';
    $contact['status'] = '';
    $contact['socid'] = session_get('doli_socid');
    $contact['country_code'] = _request('pays');
    $contact['phone_perso'] = _request('phone_perso');
    $contact['phone_pro'] = _request('phone_pro');
    $contact['phone_mobile'] = _request('phone_mobile');
    $contact['fax'] = _request('fax');
    $contact['email'] = _request('email');


    $contact['code'] = '';
    $contact['birthday'] = '';
    $contact['default_lang'] = '';
    $contact['note'] = '';
    $contact['no_email'] = '';
    $contact['ref_facturation'] = '';
    $contact['ref_contrat'] = '';
    $contact['ref_commande'] = '';
    $contact['ref_propal'] = '';
    $contact['user_id'] = '';
    $contact['user_login'] = '';
    $contact['civility_id'] = '';


    $result = dolispip_tiers_update_contact($id, $contact);
    //var_dump($result); exit;
    if((int)$result->id > 0 ) {

         $retours['message_ok'] = _T('dolispip_tiers:modif_contact_reussie');
         //$retours['editable']=true;
         //$retours['redirect'] =  generer_url_public('dolicontact','id_doli='.$id,true);
         include_spip('inc/invalideur');
         suivre_invalideur("dolicontact/$id");
    }
    else {
        $retours['message_erreur'] = "Une erreur s'est produite, veuillez nous contacter.";
    }

    return $retours;
}
