<?php
/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2011                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/
if (!defined("_ECRIRE_INC_VERSION")) { 
    return;
}

include_spip('inc/config');

$ini = ini_set("soap.wsdl_cache_enabled", lire_config('dolispip/activer_cache_soap', 1));

/*
 * Récupération des infos d'un tiers Dolibarr dont l'id est en paramètre
 * Utilisé avec une boucle (DATA){source dolitiers,#DOLI_SOCID}}
 */
function inc_dolitiers_to_array($u) 
{
    include_spip('dolispip_tiers_fonctions');
    $res = dolispip_get_infos_thirdparty($u);
    if ($res->id > 0) {
        
        return array($res);
    }
    return $res;
}
