<?php

if (!defined('_ECRIRE_INC_VERSION')) {
    return;
}

$GLOBALS[$GLOBALS['idx_lang']] = array(

    //A
    'action_import_message' => "Import the transmitter as a third party",
    'activer_authentification' => "Activate the authentication using Dolibarr ?",
    'activer_authentification_info' => "The plugin activates SPIP authors' authentication on Dolibarr's users database. You may choose the status for Dolibarr users who will be managed as authors by SPIP.",
    'activer_envoi_mail_creation_compte' => "Receive an e-mail when a third-party account is created",
    'activer_envoi_mail_creation_compte_info' => "An information e-mail will be sent to the website when a third-party account is created.",
    'adresse' => "Address",
    'adresse_email' => "E-mail",

    // C

    'compte utilisateur' => "User account",
    'contact_adresse' => 'Contact / address',
    'contacts_adresses' => "Contacts/addresses",
    'creation_compte_erreur' => "An error has occured",
    'creation_compte_erreur_contact_existant' => "Contact already existing, please contact us.",
    'creation_compte_erreur_contactez_nous' => "An error has occured, please contact us.",
    'creer_compte' => "Create account",
    'creer_contact' => "Create contact",
    'creer_contact_adresse' => "Create contact / address",
    'creer_un_compte_utilisateur' => "Create a user account",
    'code_postal' => "ZIP/Postal code",
    'cp_ville' => "Postal code / city",
    'creation_compte_reussie'=>"Your account has successfully been created ! You can now log in with your username and password",
    'creer_compte_intro' => "You can create a user account on this page by filling the form below.",

    // D
    'deja_un_compte' => "You already have an account",

    // E
    'email_sujet_admin_creation_compte' => "New account from website",
    'entrer_email_pour_creer_compte' => "Type down an e-mail address to create a new account",
        'erreur_compte_existant_identifiant' => "A account already exists with this login.",
        'erreur_info_obligatoire' => "This information is required",
        'erreur_pass_identiques' => "Passwords must be identical",
        'erreur_saisie' => "There is an error in your entry",
    'erreur_compte_existant_avec_email' => "An account using this e-mail address is already existing",
    'espace_client' => 'Customer area',
    'explication_creation_login_contact' => "You can create a user account for this contact. A password will then be generated and sent to their e-mail address. Aphanumeric characters are admitted ; it is case sensitive and the spaces are taken into account.",

    // F
    'fax' => "Fax",

    // G
    'gestion_auteurs' => 'Authors\' management',
    'group_for_users' => 'Add users to the Dolibarr group',

    // I
    'identifiez_vous' => "Please log in",
    'identifiez_vous_pour_acceder' => "Please log in or create an account to access this page",
    'information_connexion' => "Connection detail",
    'information_connexion_explication' => "Will be used for authentication on the website",
    'informations_compte_tiers' => "Account detail",
    'informations_contact' => "Contact details",
    'infos_pour_commande' => 'These information will be used for your order.',
    'import_dolibarr' => 'Import Dolibarr ERP/CRM',
    'import_dolibarr_infos' => 'You may import data from this message into Dolibarr ERP/CRM',
    'importer_selon_message' =>'Import contact form',
    'importer_selon_message_info' => 'Create a third party using the contact plugin and the data sent by the contact form. The third party will not be created if the e-mail address already exists in the database.',

    // L
    'login_pseudo' => 'Login / nickname',
    'login_pseudo_contact' => 'Login / contact\'s nickname',

    // M
    'mes_coordonnes' => 'My data',
    'message_creation_compte_url_fiche_admin' => 'A new third party has been created from the website. Please refer to this form : @url_fiche@',
    'message_creation_compte_contenu_user' => 'Your account has successfully been created. Your account is now activated ; you can log in to the website using your personnal ID\'s.',
    'message_creation_compte_titre_admin' => '[@nom_site_spip@] Create a new third party',
    'message_creation_compte_titre_user' => '[@nom_site_spip@] Your account has been created',
    'message_creation_compte_rappel_login' => 'Remember : your user ID is "@login@". You have chosen your password on your own.',
    'mobile' => "Cellphone",
    'modif_contact_reussie' => 'Contact details have successfully been modified !',
    'modif_tiers_reussie' => 'Account details have successfully been modified !',
    'modifier_contact' => "Modify this contact",
    'mon_compte' => "My account",
    'mot_de_passe' => "Password",
    'mot_de_passe_verif' => "Check password",
    'menu_config_tiers' => 'Third party and authentication',

    // N
    'nom' => "Name",
    'nom_organisation' => "Organisation name",
    'nom_utilisateur' => "Username / login",

    // P
    'pays' => 'Country',
    'prenom' => 'First name',

    // S
    'statut_auteur' => "Author status Statut auteur at creation",
    'siret' => "CRN/EIN/BN",
    'site_web' => "website URL",

    // T
    'telephone' => "Phone number",
    'titre_dolispip_tiers' => 'Third party management using Dolibarr ERP/CRM',
    'titre_page_configurer_dolispip_tiers' => "Dolispip plugin setup - third party management",
    'type_tiers_creation_label' => 'Third party type at creation',
    'type_tiers_creation_info' => 'The third party will have the type selected when created from the website',
    'type_tiers_organisation' => 'An organisation',
    'type_tiers_particulier' => 'A private individual',

    // U
    'update_contact' => 'Contact details update',
    'url' => 'Website URL',

    // V
    'vat_number' => "VAT number",
    'ville' => "City",
    'votre_prenom' => 'Your first name',
    'votre_nom' => 'Your last name',
    'vous_etes' => "You are"


);

