<?php
    if (!defined("_ECRIRE_INC_VERSION")) return;

    include_spip('inc/base');
    include_spip('inc/session');

function action_creer_dolicommande_dist()
{
    $id_auteur = session_get('id_auteur') > 0 ? session_get('id_auteur') : 0;
    $socid = session_get('doli_socid') > 0 ? session_get('doli_socid') : sql_getfetsel('doli_socid', 'spip_auteurs', 'id_auteur='.intval($id_auteur));

    // Si on est pas connecté on redirige vers la page de création de compte
    if(!$id_auteur || ! $socid > 0 ) {
         $redirect = generer_url_public('creercompte');
           include_spip('inc/headers');
           redirige_par_entete($redirect);
    }

    if (! $socid )
        return ;

    include_spip('inc/dolipaniers');
    // Il faut chercher le panier du visiteur en cours
    $id_panier = paniers_id_dolipanier_encours();

    //Si aucun panier ne pas agir
    if (is_null($id_panier))
    return;

    $securiser_action = charger_fonction('securiser_action', 'inc');
    $arg = $securiser_action();

    // Si on a un panier en cours
    if($id_panier) {
        // On récupère le contenu du panier
        $panier = sql_allfetsel(
            'id_dolipanier, product_ref, product_label, quantite',
            'spip_dolipaniers_liens',
            'id_dolipanier = '.$id_panier
        );

        // Pour chaque élément du panier, on va remplir la commande
        if ($panier and is_array($panier)) {
             $fonction_prix = charger_fonction('prix', 'inc/');
             $fonction_prix_ht = charger_fonction('ht', 'inc/prix');

             // Assemblage de l'objet commande
             include_spip('dolispip_commandes_fonctions');
             $order = load_doliorder_array();

             $order['socid'] = $socid;
             $order['statut'] = '0'; // 0 pour pouvoir ajouter les lignes, à passer à 1 après la création

             $order['cond_reglement_id'] = "1"; // A réception

             $order['demand_reason_id'] = "1"; // Internet

             $order['date'] = mktime(date('H'), date('i'), date('s'), date('m'), date('j'), date('Y'));


             /*
              * ligne de commande d'après panier
             */
            foreach($panier as $emplette) {
                $ref = $emplette['product_ref'];

                include_spip('dolispip_produits_fonctions');
                $doliproduct = dolispip_get_infos_produit('', $ref);

                //print_r($doliproduct); exit();
                //$emplette['remise'];
                //$line=load_line_doliorder_array();
                if(!$doliproduct->ref)
                 $line['desc'] = $doliproduct->label;
                else $line['desc'] = '';
                $line['qty'] = $emplette['quantite'];

                $line['price'] = $doliproduct->price;
                $line['subprice'] = $doliproduct->price;

                $line['tva_tx'] =  $doliproduct->tva_tx;
                $line['remise'] = '';
                $line['remise_percent'] = $line_remise_percent;
                //$line['total']= $doliproduct->price * $line['qty'];
                $line['total_vat'] = '';
                $line['total'] = $doliproduct->price * $line['qty'];

                //$line['date_start'] = '';
                // Calcul date expiration service
                //$date_exp = mktime(date('H'), date('i'), date('s'), date('m')+$duration,date('j'),date('Y'));
                //o$line['date_end'] = $date_exp;

                $line['product_type'] = $doliproduct->type;
                $line['product_id'] = $doliproduct->id; // TODO: deprecated
                $line['fk_product'] = $doliproduct->id;
                $line['product_ref'] = $doliproduct->ref;
                $line['product_label'] = $doliproduct->label;
                $line['product_desc'] = $doliproduct->description;
                // Remplissage de la commande avec les lignes
                $order['lines'][] = $line;
            }
                 $id_order = dolispip_creer_cde($order);

        }

        if ($id_order > 0) {

            $supprimer_panier = charger_fonction('supprimer_dolipanier_encours', 'action/');
            $supprimer_panier();

            //if (is_null(_request('redirect'))) {
             $redirect = generer_url_public('dolicommande', 'id='.$id_order, true);
             include_spip('inc/headers');
             redirige_par_entete($redirect);
            //	}
        }

           return false;

    }
    return false;
}
