<?php

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/base');
include_spip('inc/session');

function action_dolispip_valider_commande_dist()
{
    $securiser_action = charger_fonction('securiser_action', 'inc');
    $arg = $securiser_action();

    $id = $arg;

    $id_auteur = session_get('id_auteur') > 0 ? session_get('id_auteur') : 0;

    // Si on est pas connecté on redirige vers la page de connexion
    if(!$id_auteur ) {
        $redirect = generer_url_public('creer_compte');
        include_spip('inc/headers');
        redirige_par_entete($redirect);
    }

    if ($id > 0) {

        include_spip('dolispip_commandes_fonctions');
        $result = dolispip_valid_cde($id);

        include_spip('inc/invalideur');
        $invalideur = "dolicommande/$id";
        suivre_invalideur($invalideur);

        //if (is_null(_request('redirect'))) {
        $redirect = generer_url_public('dolicommande', 'id_doli='.$id, true);
        include_spip('inc/headers');
        redirige_par_entete($redirect);
        //	}
    }
    return '';

}