<?php 

function formulaires_event_inscription_charger($id_event){

	include_spip('inc/session');

	$contexte = array(
		'id_event'=>$id_event,
		'eventday_id' => array(),
		'nom' => $_SESSION['nom_auteur'],
		'prenom'=>'',
		'login'=>'',
		'address' => '',
		'zip' => '',
		'ville' => '',
		'pays' => '',
		'phone'=>'',
		'fax'=>'',
		'email'=>'',
		'url'=>'',
		'profid1'=>'',
		'vat_number'=>'',
		'pass'=>'',
		'pass_verif'=>'',
		'_etapes' => 2
		
	);

	return $contexte;
}

function formulaires_event_inscription_verifier_1($id_event){

	$erreurs = array();
	include_spip('base/abstract_sql');
	
	$obligatoires = array('eventday_id', 'id_event');
	foreach($obligatoires as $champ) {
		if (!_request($champ)) {
			$erreurs[$champ] = "Cette information est obligatoire !";
		}
	}
	if ($erreurs) {
		$erreurs['message_erreur'] = "Une erreur est présente dans votre saisie";
	
	}
	return $erreurs;
	
}

function formulaires_event_inscription_verifier_2($id_event){
	$erreurs = array();
	include_spip('base/abstract_sql');
	
	$obligatoires = array('nom','address','zip','ville','phone','email');
	// Si socpeople_id = -1 vérifier les champ (création d'un nouveau contact)
	if(_request('socpeople_id') == "-1")
	{
		foreach($obligatoires as $champ) {
			if (!_request($champ)) {
				$erreurs[$champ] = "Cette information est obligatoire !";
			}
		}
	}
	return $erreurs;
}

function formulaires_event_inscription_traiter($id_event){
	include_spip('inc/config');
	include_spip('inc/utils');
	include_spip('inc/session');
	$retours = array();
	
	$journees_sel = _request('eventday_id');
	$registered=0;
	
	// le contact à inscrire
	$socpeople_id=_request('socpeople_id');
	// Si tiers non identifié alors on crée un contact
	if (!session_get('doli_socid')>0) $socpeople_id="-1";
	
	// Si socpeople_id = -1 il faut créer le contact avant de faire les inscriptions
	if($socpeople_id == "-1")
	{
		// Si pas de tiers on le crée
		if (!session_get('doli_socid')>0)
		{
			$thirdparty = load_thirdparty_array();
			$nom_auteur = trim(_request('nom').' '._request('prenom'));
			$organisation = _request('organisation') ? _request('organisation') .' '. $nom_auteur: $nom_auteur;
			if(!$organisation) $organisation = $posteur['mail'] . ' - ' .$nom_auteur;
			$thirdparty['ref']=$organisation;
			
			$thirdparty['client']="2";// 1=client 2=prospect, 3=prospect/client
			
			$thirdparty['address']= _request('adresse');
			$thirdparty['zip']=_request('code_postal');
			$thirdparty['town']= _request('ville');
			
			$thirdparty['country_code']=_request('pays');
				
			$thirdparty['phone']=_request('telephone');
			$thirdparty['fax']=_request('fax');
			$thirdparty['email']=_request('mail');
			$thirdparty['url']=_request('url');
			
			$socid = dolispip_tiers_creer_fiche($thirdparty);
			
		}
		$contact = array(
			'id' => '0',
			'lastname' => _request('nom'),
			'firstname' => _request('prenom'),
			'address' => _request('address'),
			'zip' => _request('zip'),
			'town' => _request('town'),
			'state_id' => '',
			'state_code' => _request('pays'),
			'state' => _request('pays'),
			'country_id' => '',
			'country_code' => '',
			'country' => '',
			'socid' => session_get('doli_socid')>0?session_get('doli_socid'):$socid,
			'status' => '',
			'code' => '',
			'email' => _request('email'),
			'birthday' => '',
			'default_lang' => '',
			'note' => '',
			'no_email' => '0',
			'ref_facturation' => '',
			'ref_contrat' => '',
			'ref_commande' => '',
			'ref_propal' => '',
			'user_id' => '',
			'user_login' => '',
			'civility_id' => ''
		);
		$socpeople_id = dolispip_tiers_creer_contact($contact);
	}
	
	
	foreach($journees_sel as $key => $journee) {
		
		$registration['id'] = '0';
		$registration['ref'] = _request('ref');
		$registration['fk_soc'] = session_get('doli_socid');
		$registration['fk_event'] = $id_event;
		$registration['entity'] = '';
		
		$registration['fk_eventday'] = $journee;
		$registration['fk_levelday'] = _request('fk_levelday');
		
		$registration['fk_user_create'] = _request('fk_user_create');
		$registration['fk_user_valid'] = '';
		$registration['fk_user_registered'] = $socpeople_id>0?$socpeople_id:_request('socpeople_id');
		
		$registration['civilite'] = _request('civilite');
		$registration['name'] = _request('nom_societe') ? _request('nom_societe') : _request('nom') ." ". _request('prenom');
		$registration['lastname'] = _request('nom');
		$registration['firstname'] = _request('prenom');
		$registration['naiss'] = '';
		//$registration['login'] = _request('login');
		//$registration['particulier'] = _request('particulier');
		$registration['address'] = _request('address');
		$registration['zip'] = _request('zip');
		$registration['town'] = _request('ville');
		//$registration['province_id'] = '';
		$registration['country_id'] = '';
		$registration['state_id'] = '';
		//$registration['country'] = '';
		//$registration['country_code'] = _request('pays');
		$registration['phone'] = _request('phone');
		$registration['phone_perso'] = _request('phone_perso');
		$registration['email'] = _request('email');
		$registration['phone_mobile'] = _request('phone_mobile');
		$registration['email_registration'] = _request('email');
		
		$registration['fk_statut'] = '1'; // On valide après création
		$registration['note_private'] = '';
		$registration['note_public'] = _request('message');
		
		$registration['datec'] = '';
		$registration['date_valid'] = '';
		$registration['paye'] = '';
		$registration['statuts_short'] = '';
		$registration['event_label'] = '';
		$registration['date_event'] = '';
		$registration['level_label'] = '';
		
		if( $registration_id = dolispip_event_creer_inscription($registration) )  {
			$registered++;
		}
		
	}
	
	if ($registered) {
		$redirect = _request('redirect');
		$retours['editable'] = false;
		$retours['message_ok'] = _T('dolispip_event:inscription_reussie');
	}
	else {
		$retours['message_erreur'] = "Une erreur s'est produite";
	}
	
	return $retours;
	
	
	
	
	
	
	
	
}
?>