<?php

// Sécurité
if (!defined('_ECRIRE_INC_VERSION')) {
  return;
}

/**
 * Remplir un panier avec une option
 *
 * @param  unknown_type $arg
 * @return unknown_type
 */
function action_ajouter_option_dolipanier_dist($arg=null)
{
    if (is_null($arg)) {
        $securiser_action = charger_fonction('securiser_action', 'inc');
        $arg = $securiser_action();
    }

    // On récupère les infos de l'argument avec la réf et la quantité
    $quantite = substr($arg, strrpos($arg, '-')+1);
    preg_match('#.*-([0-9]+)#', $arg, $optionRes);
    $id_option = $optionRes[1];
    
    //$id_option = ;
    $id_product = substr($arg, 0, strrpos($arg, '-')); // $arg sans quantite
    $id_option = intval($id_option) ? intval($id_option) : 0;
    //$id_product = intval($id_product) ? intval($id_product) : 0;
    
    include_spip('inc/dolipaniers');
    // Il faut chercher le panier du visiteur en cours
    $id_panier = paniers_id_dolipanier_encours();
    // S'il n'y a pas de panier, on le crée
    if (!$id_panier) {
        $id_panier = dolipaniers_creer_panier();

    }



	// On ne fait que s'il y a bien un panier existant et un objet valable
    if ($id_panier > 0 and $id_product) {
		
		// Récup des infos du produit optionnel
		include_spip('dolispip_produits_fonctions');
		$doliproduct = dolispip_get_infos_produit($id_option, '', true);
		$optionsInfos = dolispip_get_infos_prodoption($id_product, $id_option);
		// Si on a déjà une quantité, on fait une mise à jour
		sql_insertq(
			'spip_dolipaniers_liens',
			array(
				'id_dolipanier' => $id_panier,
				'product_ref' => $doliproduct->ref,
				'product_label' => 'OPTION - '.$doliproduct->label,
				'product_description' => $doliproduct->description,
			    'product_price_net' => $optionsInfos->price_net,
			    'product_price' => $optionsInfos->price,
			    'product_vat_rate' => $optionsInfos->vat_rate,
			    'quantite' => $optionsInfos->qty
			)
		);
	

        // Mais dans tous les cas on met la date du panier à jour
        sql_updateq(
            'spip_dolipaniers',
            array('date'=>'NOW()'),
            'id_dolipanier = '.$id_panier
        );

    }
}
