<?php

if (!defined("_ECRIRE_INC_VERSION")) return;


/**
 * Get list of tickets
 * @return array
 */
function dolispip_get_list_tickets()
{
    include_spip('inc/dolispip');
    $endpoint = 'ticketsups';
    $res = doRestCall($endpoint);
    if( !empty($res['error']) && ! empty($res['error']['code'])) {
        $res = array();
    }
    return $res;
}

/**
 * Get data for ticket
 * @param ref $ref Reference for ticket
 * @return array
 */
function dolispip_get_ticket($ref)
{
    include_spip('inc/dolispip');
    $res = array();
    if (!empty($ref)) {
        $endpoint = 'ticketsups/ref/'.$ref;
        $res = doRestCall($endpoint);
        if( !empty($res['error']) && ! empty($res['error']['code'])) {
            return array();
        }
        return $res;    
    }

    return '';
}
