<?php
/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2011                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/
if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/config');


/*
 * Récupération des infos d'un tiers Dolibarr dont l'id est en paramètre
 */
function inc_doliticketsclassifications_to_array() {
    $classificationsArray = array();
    include_spip('inc/dolispip');
    $endpoint = 'dictionaryticketsupcategories';
    $res = doRestCall($endpoint);
    if( !empty($res['error']) && ! empty($res['error']['code'])) {
        $res = array();
    } else {
        $classificationsArray['categories'] = $res; 
    }
    
    $endpoint = 'dictionaryticketsupseverities';
    $res = doRestCall($endpoint);
    if( !empty($res['error']) && ! empty($res['error']['code'])) {
        $res = array();
    } else {
        $classificationsArray['severities'] = $res;
    }
    
    $endpoint = 'dictionaryticketsuptypes';
    $res = doRestCall($endpoint);
    if( !empty($res['error']) && ! empty($res['error']['code'])) {
        $res = array();
    } else {
        $classificationsArray['types'] = $res;
    }
    
    
// 	include_spip('inc/config');
// 	// Paramètres webservices
// 	$WS_DOL_URL = lire_config('dolispip/dolibarr_url').'custom/ticketsup/webservices/ws_server_ticketsup.php?wsdl';
// 	$WS_METHOD  = 'getClassifications';

// 	$params = array('id'=>$u);

// 	// Appel WS avec utilisateur générique
// 	include_spip('inc/dolispip');
// 	$result = doSoapCall($WS_METHOD, $params, $WS_DOL_URL);

// 	if (!$result)
// 	{
// 		spip_log('doliticketsclassificationsto_array:: ' . $soapclient -> error_str,'dolispip');
// 		$u = array();
// 	}
// 	else
// 	{
// 		$u = array($result['ClassificationCodes']);

// 	}
//var_dump($classificationsArray); exit;
    return array($classificationsArray);
}

?>
