<?php
/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
*                                                                         *
*  Copyright (c) 2001-2008                                                *
*  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
*                                                                         *
*  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
*  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/

if (!defined("_ECRIRE_INC_VERSION")) { return;
}

include_spip('inc/meta');

// Installation et mise à jour
function dolispip_tiers_upgrade($nom_meta_version_base, $version_cible)
{

    $maj = array();

    include_spip('inc/config');
    $maj = array();
    $maj['create'] = array(
    array('sql_alter',"TABLE spip_auteurs ADD COLUMN doli_socid BIGINT(21) NOT NULL DEFAULT '0'")
    );
    include_spip('base/upgrade');
    maj_plugin($nom_meta_version_base, $version_cible, $maj);
}

// Désinstallation
function dolispip_tiers_vider_tables($nom_meta_version_base)
{
    effacer_meta('dolispip_tiers');
    effacer_meta($nom_meta_version_base);
}
