<?php

// Sécurité
if (!defined('_ECRIRE_INC_VERSION')) { return;
}

function saisies_creation_contact() 
{
    include_spip('dolispip_tiers_fonctions.php');
    return load_saisies_dolicontact();
}

function formulaires_dolispip_creer_contact_charger()
{

    include_spip('inc/session');

    $contexte = array(
    'lastname' => '',
    'firstname'=>'',
    'address' => '',
    'zip' => '',
    'town' => '',
    'pays' => '',
    'phone_mobile'=> '',
    'phone_perso'=> '',
    'fax'=> '',
    'email'=> '',
    'saisies_contact' => saisies_creation_contact()

    );
    return $contexte;
}

function formulaires_dolispip_creer_contact_verifier()
{
    $erreurs = array();
    include_spip('base/abstract_sql');

    // on charge les saisies
    $saisies = saisies_creation_contact();
    // saisies_verifier retourne un tableau des erreurs s'il y en a, sinon traiter() prend le relais
    $erreurs = saisies_verifier($saisies);

    // Vérifier l'adresse email si renseignée si création de compte
    if(_request('login') && _request('email') != '') {
        $verifier = charger_fonction('verifier', 'inc/');
        $verif_mail = $verifier(_request('email'), 'email',array('mode' => 'normal'));
        if($verif_mail != "") {
            $erreurs['email'] = $verif_mail;
        }
    }

    return $erreurs;
}

function formulaires_dolispip_creer_contact_traiter()
{
    include_spip('inc/config');
    include_spip('inc/utils');
    include_spip('inc/session');
    include_spip('dolispip_tiers_fonctions');
    $retours = array();

    $contact = load_contact_array();
    $contact['id'] = '';
    $contact['lastname'] = _request('lastname');
    $contact['firstname'] = _request('firstname');
    $contact['address'] = _request('address');
    $contact['zip'] = _request('zip');
    $contact['town'] = _request('town');

    $contact['socid'] = session_get('doli_socid');
    $contact['country_code'] = _request('pays');
    $contact['phone_perso'] = _request('phone_perso');
    $contact['phone_pro'] = '';
    $contact['phone_mobile'] = _request('phone_mobile');
    $contact['fax'] = _request('fax');
    $contact['email'] = _request('email');

    $result = dolispip_tiers_creer_contact($contact);
    if((int)$result > 0 ) {

        $retours['message_ok'] = _T('dolispip_tiers:creation_contact_reussie');
        $retours['redirect'] =  generer_url_public('dolicontact', 'id_doli='.$result, true);

    }
    else {
        $retours['message_erreur'] = "Une erreur s'est produite, veuillez nous contacter.";
    }

    return $retours;
}
