<?php

// Sécurité
if (!defined('_ECRIRE_INC_VERSION')) return;


function formulaires_provision_timebasket_charger_dist(){

	include_spip('inc/session');

	$contexte = array(
		'fk_offer'=>''
	);

	return $contexte;
}

function formulaires_provision_timebasket_verifier_dist(){
	$erreurs = array();


    if (count($erreurs) > 0) {
        $erreurs['message_erreur'] = _T('dolispip_tiers:erreur_saisie');
    }
	return $erreurs;
}

function formulaires_provision_timebasket_traiter_dist(){
	include_spip('inc/config');
	include_spip('inc/utils');
	include_spip('inc/session');
	include_spip('inc/base');
	$retours = array();
	
	$id_auteur = session_get('id_auteur') > 0 ? session_get('id_auteur') : 0;
	$socid = session_get('doli_socid') > 0 ? session_get('doli_socid') : sql_getfetsel('doli_socid', 'spip_auteurs', 'id_auteur='.intval($id_auteur));

	
	// Assemblage de l'objet commande
	include_spip('dolispip_commandes_fonctions');
	$order = load_doliorder_array();
	
	$order['socid'] = $socid;
	$order['statut'] = '0'; // 0 pour pouvoir ajouter les lignes, à passer à 1 après la création
	
	$order['cond_reglement_id'] = "1"; // A réception
	
	$order['demand_reason_id'] = "1"; // Internet
	
	$order['date'] = mktime(date('H'), date('i'), date('s'), date('m'), date('j'), date('Y'));
	
	$id = _request('offer_id');
	
	include_spip('dolispip_produits_fonctions');
	$doliproduct = dolispip_get_infos_produit($id, '', true);
	
	if(!$doliproduct->ref) {
	    $line['desc'] = $doliproduct->label;
	}
    else {
        $line['desc'] = '';
    }
    $line['qty'] = 1;
	    
    $line['price'] = $doliproduct->price;
    $line['subprice'] = $doliproduct->price;
	    
    $line['tva_tx'] =  $doliproduct->tva_tx;
    $line['remise'] = '';
    $line['remise_percent'] = $line_remise_percent;
    $line['total_vat'] = '';
    $line['total'] = $doliproduct->price * $line['qty'];
	    
    $line['date_start'] = mktime(date('H'), date('i'), date('s'), date('m'), date('j'), date('Y'));
    $line['product_type'] = $doliproduct->type;
    $line['product_id'] = $doliproduct->id; // TODO: deprecated
    $line['fk_product'] = $doliproduct->id;
    $line['product_ref'] = $doliproduct->ref;
    $line['product_label'] = $doliproduct->label;
    $line['product_desc'] = $doliproduct->description;

    $order['lines'][] = $line;
	   
    $idOrder = dolispip_creer_cde($order);
    if ($idOrder > 0) {
        
        // valide la commande
        $result = dolispip_valid_cde($idOrder);
	        
        $retours['message_ok'] = _T('dolispip_timebasket:commande_provision_succes');
        $redirect = generer_url_public('dolicommande', 'id='.$idOrder, true);
        
        $retours['redirect'] = $redirect;
    } 
    else {
	  $retours['message_erreur'] = _T('dolispip:erreur');
   }
	return $retours;
}
